Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::NumericSensor::MinMaxChangedEvent Struct Reference

Event: Sensor min or max value has changed. More...

Inheritance diagram for sensors::NumericSensor::MinMaxChangedEvent:

## Public Attributes
MinMax | newMinMax
| Minimum / maximum of sensor value.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Sensor min or max value has changed.

The event is sent when MinMax::minReading or MinMax::maxReading have changed enough to affect a digit to be displayed according to MetaData::decdigits, or if MinMax::valid has changed.

Definition at line 196 of file NumericSensor.idl.

## Member Data Documentation

## ◆ newMinMax

MinMax sensors::NumericSensor::MinMaxChangedEvent::newMinMax

Minimum / maximum of sensor value.

Definition at line 197 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl